export declare function useInputEditorSchema(): {
    editorSchema: (inputOptions?: any[]) => ({
        $el: string;
        if: string;
        attrs: object;
        children: string | any[];
    } | {
        $formkit: string;
        if: string;
        name: string;
        dynamic: boolean;
        children: object[];
    } | {
        $formkit: string;
        id: string;
        name: string;
        options: {
            label: string;
            value: string;
        }[];
        optionLabel: string;
        optionValue: string;
        value: string;
        allowEmpty: boolean;
        key: string;
        preserve: boolean;
        if?: undefined;
        label?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        key: string;
        preserve: boolean;
        id?: undefined;
        options?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        value?: undefined;
        allowEmpty?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        value: string;
        optionLabel: string;
        optionValue: string;
        options: {
            label: string;
            value: string;
        }[];
        key: string;
        preserve: boolean;
        id?: undefined;
        allowEmpty?: undefined;
    })[];
    primeInputOptions: (list: string[]) => {
        label: string;
        value: string;
    }[];
};
