"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFormKitIcon = useFormKitIcon;
var _vue = require("vue");
function useFormKitIcon(context) {
  const hasIcon = (0, _vue.computed)(() => {
    return context?.attrs?.icon && context?.attrs?.icon.length > 0;
  });
  const icon = (0, _vue.computed)(() => {
    return context?.attrs?.icon;
  });
  const iconPosition = (0, _vue.computed)(() => {
    return context?.attrs?.iconPosition;
  });
  return {
    hasIcon,
    icon,
    iconPosition
  };
}