"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFormKitSection = useFormKitSection;
var _vue = require("vue");
function useFormKitSection(context) {
  const hasPrefix = (0, _vue.computed)(() => {
    return context?.attrs?.prefix && context?.attrs?.prefix.length > 0;
  });
  const hasPrefixIcon = (0, _vue.computed)(() => {
    return context?.prefixIcon && context?.prefixIcon.length > 0;
  });
  const hasSuffixIcon = (0, _vue.computed)(() => {
    return context?.suffixIcon && context?.suffixIcon.length > 0;
  });
  const hasSuffix = (0, _vue.computed)(() => {
    return context?.attrs?.suffix && context?.attrs?.suffix.length > 0;
  });
  return {
    hasPrefix,
    hasPrefixIcon,
    hasSuffix,
    hasSuffixIcon
  };
}